function [Xaug, Yaug] = augment_data(x,y,kmax)
%
%	AUGMENT_DATA f[^s̊g
%
%	Output:
%		Xaug	: x̊gs
%		Yaug	: XaugɑΉy̍s
%	Input:
%		x		: ͍s
%		y		: o͍s
%		kmax	: ߋXebv܂ł̓͂l邩
%		
%	--- update history ---
%	AUGMENT_DATA version 0.0
%		original program
%		(03/28,2010) Y. Shigi
%	AUGMENT_DATA version 1.0
%		(06/12,2010) M. Kano
%
%	Copyright (C) 2010 Yohei Shigi, Manabu Kano.
%	All rights reserved. 
%	{vOі{vOύXvO̍Ĕzzւ܂D
%

Xaug = zeros(size(x,1)-kmax,size(x,2)*kmax);
Yaug = y(kmax+1:end,:);
for i = 1:size(x,2)
    for j = 1:kmax
        Xaug(:,(i-1)*kmax+j) = x(kmax-j+1:end-j,i);
    end
end

% Xaug(:,1)		 = x(kmax:end-1,1)
% Xaug(:,2)		 = x(kmax-1:end-2,1)
%   :
% Xaug(:,kmax)   = x(1:end-kmax,1)
% Xaug(:,kmax+1) = x(kmax:end-1,2)
% Xaug(:,kmax+2) = x(kmax-1:end-2,2)
%   :
% Xaug(:,2*kmax) = x(1:end-kmax,2)
%   :



